Package org.bgerp.app.dist.inst

# Class InstalledModule

java.lang.Object
org.bgerp.app.dist.inst.InstalledModule

public class InstalledModule extends Object
Installed module's properties, stored in version.properties files in application JAR.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MODULE_UPDATE`
  The application's classes.
  `static final String`
  `MODULE_UPDATE_LIB`
  External jars.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InstalledModule(ConfigMap properties)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final InstalledModule`
  `get(String module)`
  Gets module version info.
  `String`
  `getBuildNumber()`
  `String`
  `getBuildTime()`
  `String`
  `getChangeId()`
  `static final List<InstalledModule>`
  `getInstalled()`
  `String`
  `getModuleName()`
  `String`
  `getVersion()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MODULE_UPDATE

    public static final String MODULE_UPDATE
    The application's classes.
    See Also:
      - Constant Field Values

  - ### MODULE_UPDATE_LIB

    public static final String MODULE_UPDATE_LIB
    External jars.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InstalledModule

    public InstalledModule(ConfigMap properties)

- ## Method Details

  - ### getModuleName

    public String getModuleName()

  - ### getVersion

    public String getVersion()

  - ### getBuildNumber

    public String getBuildNumber()

  - ### getChangeId

    public String getChangeId()

  - ### getBuildTime

    public String getBuildTime()

  - ### get

    public static final InstalledModule get(String module)
    Gets module version info.
    Parameters:
      `module` - module name, `MODULE_UPDATE` or `MODULE_UPDATE_LIB`.
    Returns:

  - ### getInstalled

    public static final List<InstalledModule> getInstalled()
    Returns:
      version infos of currently existing in the running app modules.